%global repo dde-polkit-agent

%define pkgrelease  1
%if 0%{?openeuler}
%define specrelease %{pkgrelease}
%else
## allow specrelease to have configurable %%{?dist} tag in other distribution
%define specrelease %{pkgrelease}%{?dist}
%endif

Name:           dde-polkit-agent
Version:        5.5.21
Release:        %{specrelease}
Summary:        Deepin Polkit Agent
License:        GPLv3
URL:            https://github.com/linuxdeepin/dde-polkit-agent
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dtkwidget-devel >= 5.1.1
BuildRequires:  dde-qt-dbus-factory-devel
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  qt5-devel
BuildRequires:  qt5-linguist
BuildRequires:  gsettings-qt-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtx11extras-devel


%description
DDE Polkit Agent is the polkit agent used in Deepin Desktop Environment.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q -n %{repo}-%{version}
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh
# fix polkit1authagent_adaptor.*
sed -i 's/qdbusxml2cpp/qdbusxml2cpp-qt5/g' CMakeLists.txt

%build
export PATH=%{qt5_bindir}:$PATH
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DARCHITCETURE=%{_arch} .
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_prefix}/lib/polkit-1-dde/dde-polkit-agent
%{_datadir}/%{repo}/

%files devel
%{_includedir}/dpa/agent-extension-proxy.h
%{_includedir}/dpa/agent-extension.h

%changelog
* Tue Aug 01 2023 leeffo <liweiganga@uniontech.com> - 5.5.21-1
- upgrade to version 5.5.21

* Thu Mar 30 2023 liweiganga <liweiganga@uniontech.com> - 5.4.17-1
- update: update to 5.4.17

* Mon Jul 18 2022 konglidong <konglidong@uniontech.com> - 5.4.5-1
- Update to 5.4.5

* Tue Jul 20 2021 weidong <weidong@uniontech.com> - 5.3.0.1-2
- Update to 5.3.0.1

* Fri Aug 28 2020 chenbo pan <panchenbo@uniontech.com> - 5.0.10-2
- fix compile fail

* Thu Jul 30 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.0.10-1
- Package init
